# Gimp.Image.prototype.add_hguide

    function add_hguide(yposition: Number(gint)): Number(guint) {
        // Gjs wrapper for gimp_image_add_hguide()
    }

Add a horizontal guide to an image.

This procedure adds a horizontal guide to an image. It takes the input image and the y-position of the new guide as parameters. It returns the guide ID of the new guide.

yposition

  The guide's y-offset from top of image.

Returns

  The new guide.